Package: groovy.swing.factory

## [Groovy] Class TextArgWidgetFactory

- groovy.swing.factory.TextArgWidgetFactory

- Authors:
    Danno Ferrin

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `klass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TextArgWidgetFactory (Class klass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final Class klass

  - ### Constructor Detail

    - #### TextArgWidgetFactory(Class klass)

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)